//Function to get max value from a 2d array
float max2D(float[][] array2D) {
  float max = 0;
  for (int i=0; i<array2D.length; i++) {
    for (int j=0; j<array2D[i].length; j++) {
      if (array2D[i][j] > max) {
        max = array2D[i][j];
      }
    }
  }
  return max;
}

//Function to get min value from a 2d array
float min2D(float[][] array2D) {
  float max = max2D(array2D);
  float min = max;
  for (int i=0; i<array2D.length; i++) {
    for (int j=0; j<array2D[i].length; j++) {
      if (array2D[i][j] < min) {
        min = array2D[i][j];
      }
    }
  }
  return min;
}

float maxbk2D(float[][] arraybk2D) {
  float maxbk = 0;
  for (int j=0; j<arraybk2D[0].length; j++) {
    if (arraybk2D[0][j] > maxbk) {
      maxbk = arraybk2D[0][j];
    }
  }
  return maxbk;
}

float minbk2D(float[][] arraybk2D) {
  float maxbk = maxbk2D(arraybk2D);
  float minbk = maxbk;
  for (int j=0; j<arraybk2D[0].length; j++) {
    if (arraybk2D[0][j] < minbk) {
      minbk = arraybk2D[0][j];
    }
  }
  return minbk;
}

float maxcd2D(float[][] arraycd2D) {
  float maxcd = 0;
  for (int j=0; j<arraycd2D[1].length; j++) {
    if (arraycd2D[1][j] > maxcd) {
      maxcd = arraycd2D[1][j];
    }
  }
  return maxcd;
}

float mincd2D(float[][] arraycd2D) {
  float maxcd = maxcd2D(arraycd2D);
  float mincd = maxcd;
  for (int j=0; j<arraycd2D[1].length; j++) {
    if (arraycd2D[1][j] < mincd) {
      mincd = arraycd2D[1][j];
    }
  }
  return mincd;
}

float maxdvd2D(float[][] arraydvd2D) {
  float maxdvd = 0;
  for (int j=0; j<arraydvd2D[2].length; j++) {
    if (arraydvd2D[2][j] > maxdvd) {
      maxdvd = arraydvd2D[2][j];
    }
  }
  return maxdvd;
}

float mindvd2D(float[][] arraydvd2D) {
  float maxdvd = maxdvd2D(arraydvd2D);
  float mindvd = maxdvd;
  for (int j=0; j<arraydvd2D[2].length; j++) {
    if (arraydvd2D[2][j] < mindvd) {
      mindvd = arraydvd2D[2][j];
    }
  }
  return mindvd;
}

float maxvhs2D(float[][] arrayvhs2D) {
  float maxvhs = 0;
  for (int j=0; j<arrayvhs2D[3].length; j++) {
    if (arrayvhs2D[3][j] > maxvhs) {
      maxvhs = arrayvhs2D[3][j];
    }
  }
  return maxvhs;
}

float minvhs2D(float[][] arrayvhs2D) {
  float maxvhs = maxvhs2D(arrayvhs2D);
  float minvhs = maxvhs;
  for (int j=0; j<arrayvhs2D[3].length; j++) {
    if (arrayvhs2D[3][j] < minvhs) {
      minvhs = arrayvhs2D[3][j];
    }
  }
  return minvhs;
}

float maxcas2D(float[][] arraycas2D) {
  float maxcas = 0;
  for (int j=0; j<arraycas2D[4].length; j++) {
    if (arraycas2D[4][j] > maxcas) {
      maxcas = arraycas2D[4][j];
    }
  }
  return maxcas;
}

float mincas2D(float[][] arraycas2D) {
  float maxcas = maxcas2D(arraycas2D);
  float mincas = maxcas;
  for (int j=0; j<arraycas2D[4].length; j++) {
    if (arraycas2D[4][j] < mincas) {
      mincas = arraycas2D[4][j];
    }
  }
  return mincas;
}